<?
/** 
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
 */
 if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
$action = $_GET['action'];
switch ($action){ 

	default :
		$menhgia = (int)$_GET['menhgia'];
		$loaithe = $_GET['loaithe'];
		$slg = (int)$_GET['slg'];
		
		if( $sendsv === false ) { echo "Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện."; }
		elseif (preg_match("/[^0-9$]/", $menhgia))
		{
	    	echo "<font size='2' color='red'>Dữ liệu lỗi : $menhgia . Chỉ được sử dụng số (1-9).</font>"; 
		}
		elseif ( $menhgia <= 0 ) {
			echo "<font size='2' color='red'>Dữ liệu lỗi : Mệnh giá cần đổi phải lớn hơn 0.</font>"; 
		}
		elseif ( $_SESSION['acc_gcoin'] < $menhgia ) {
			echo "<font size='2' color='red'>Dữ liệu lỗi : Mệnh giá cần đổi lớn hơn Gcoin có trong tài khoản.</font>"; 
		}
		elseif ( ($_SESSION['acc_gcoin'] - $menhgia) < 0 ) {
			echo "<font size='2' color='red'>Dữ liệu lỗi : Tài khoản không đủ Gcoin, sau khi đổi tài khoản bị âm Gcoin.</font>"; 
		}
		elseif (empty($loaithe)) {
			echo "<font size='2' color='red'>Dữ liệu lỗi : Loại thẻ không được để trống.</font>"; 
		}
		elseif (empty($slg)) {
			echo "<font size='2' color='red'>Dữ liệu lỗi : Số lượng không được để trống.</font>"; 
		}
		else {
			
			$getcontent_url = $server_url . "/sv_muathenap.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'menhgia'    =>  $menhgia,
				'loaithe'    =>  $loaithe,
				'slg'    =>  $slg,
				
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            ); 
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
			
			if ( empty($reponse) ) echo "<font size='3' color='red'>Server bảo trì.$reponse</font>";
			elseif($reponse == "login_other") {
				echo "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
				session_destroy();
			}
			else {
				$info = explode('<vweb>',$reponse);

				if ( $info[0] == 'OK' ) {
					echo "<vweb>OK<vweb>$info[1]<vweb>$info[2]<vweb>";
					$gcoin_tru = $info[2];
					$_SESSION['acc_gcoin'] = $_SESSION['acc_gcoin'] - $gcoin_tru;
				}
				else echo $reponse;
			}
		}
	}
?>